moshpit plugin error

Hi , Im trying to use qiime2 for shotgun sequencing analysis.But during the initial steps I'm getting a plug in error. Can anyone help me with this

Hi @Roxiette,
What distribution of qiime2 are you using? You should be using the shotgun metagenome distributions listed here: Natively installing QIIME 2 — QIIME 2 2024.5.0 documentation. If you are using the amplicon distribution, none of the shotgun metagenome specific plugins (like moshpit) will be installed. (We have previously been calling this the shotgun distribution, but we are now calling it metagenome. So if you see either of those terms, we are referring to "shotgun".)

If you install the shotgun metagenome distribution, Can you:

  1. tell me the installation steps you took
  2. run qiime info and post a screenshot of the output?
3 Likes

Hello@cherman2
I have been using the amplicon distribution ,
When i tried to download the shotgun distribution I came across the following error.

Please help me with the samme

Hey @Roxiette,

Apologies for any confusion! We just updated the shortened nomenclature of our shotgun metagenomic distribution from 'shotgun' to 'metagenome' - so our environment files previously included 'shotgun', and we've just replaced them with 'metagenome' for this release.

The installation instructions on our user docs should now be current with this distribution update (found here). Please refresh your browser cache if you're still not seeing this update - otherwise you can just replace 'shotgun' with 'metagenome' within the environment file links.

Please let us know if you run into any further issues! Cheers :lizard:

1 Like

Hi @lizgehret
I have been trying to download the metagenomic distribution, but I get stuck at the Execution step. I've tried it thrice; can you please help me with it? I also left it overnight, but the step isn't complete. How long does the execution step take?

Hi @Roxiette,
This shouldn't take that long.

Can you tell me what OS you are on? Are you on a HPC?

We need to make sure that you are downloading the right env for your OS system!

HI @ cherman2,
I'm using Windows 10 OS system.

Now Im facing the following error


Downloading and Extracting Packages:

Preparing transaction: done
Verifying transaction: |
SafetyError: The package for repeatmasker located at /home/roxiette/miniconda3/pkgs/repeatmasker-4.1.5-pl5321hdfd78af_1
appears to be corrupted. The path 'share/RepeatMasker/Libraries/Dfam.h5'
has an incorrect size.
reported size: 68 bytes
actual size: 530985994 bytes

ClobberError: This transaction has incompatible packages due to a shared path.
packages: conda-forge/linux-64::mysql-connector-c-6.1.11-h659d440_1008, conda-forge/linux-64::mysql-libs-8.3.0-hca2cd23_4
path: 'lib/libmysqlclient.so'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-params-util-1.102-pl5321h9f5acd7_1, bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1
path: 'lib/perl5/5.32/site_perl/Params/Util.pm'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-params-util-1.102-pl5321h9f5acd7_1, bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1
path: 'lib/perl5/5.32/site_perl/Params/Util/PP.pm'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-params-util-1.102-pl5321h9f5acd7_1, bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1
path: 'lib/perl5/5.32/site_perl/auto/Params/Util/.packlist'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-params-util-1.102-pl5321h9f5acd7_1, bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1
path: 'lib/perl5/5.32/site_perl/auto/Params/Util/Util.so'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-params-util-1.102-pl5321h9f5acd7_1, bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1
path: 'man/man3/Params::Util.3'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-params-util-1.102-pl5321h9f5acd7_1, bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1
path: 'man/man3/Params::Util::PP.3'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/noarch::perl-sub-install-0.928-pl5321hdfd78af_3, bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1
path: 'lib/perl5/5.32/site_perl/auto/Sub/Install/.packlist'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/noarch::perl-sub-install-0.928-pl5321hdfd78af_3, bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1
path: 'lib/perl5/site_perl/Sub/Install.pm'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/noarch::perl-sub-install-0.928-pl5321hdfd78af_3, bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1
path: 'man/man3/Sub::Install.3'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/noarch::perl-cpan-meta-check-0.014-pl5321hdfd78af_1, bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1
path: 'lib/perl5/5.32/site_perl/auto/CPAN/Meta/Check/.packlist'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/noarch::perl-cpan-meta-check-0.014-pl5321hdfd78af_1, bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1
path: 'lib/perl5/site_perl/CPAN/Meta/Check.pm'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/noarch::perl-cpan-meta-check-0.014-pl5321hdfd78af_1, bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1
path: 'man/man3/CPAN::Meta::Check.3'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: conda-forge/linux-64::perl-data-optlist-0.113-pl5321ha770c72_0, bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1
path: 'man/man3/Data::OptList.3'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/blast_formatter'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/blastdb_aliastool'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/blastdbcheck'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/blastdbcmd'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/blastn'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/blastp'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/blastx'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/cleanup-blastdb-volumes.py'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/convert2blastmask'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/datatool'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/deltablast'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/dustmasker'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/get_species_taxids.sh'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/get_species_taxids.sh.bak'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/legacy_blast.pl'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/makeblastdb'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/makembindex'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/makeprofiledb'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/project_tree_builder'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/psiblast'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/rpsblast'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/rpstblastn'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/run_with_lock'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/segmasker'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/tblastn'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/tblastx'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/test_pcre'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/update_blastdb.pl'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/update_blastdb.pl.bak'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/windowmasker'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'bin/windowmasker_2.2.22_adapter.py'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libblast_app_util-static.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libblast_app_util.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libdbapi_driver-static.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libdbapi_driver.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libncbi_xloader_genbank-static.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libncbi_xloader_genbank.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libncbi_xreader-static.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libncbi_xreader.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libncbi_xreader_cache-static.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libncbi_xreader_cache.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libncbi_xreader_id1-static.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libncbi_xreader_id1.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libncbi_xreader_id2-static.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::blast-2.15.0-pl5321h6f7f691_1, bioconda/linux-64::rmblast-2.14.1-h4565617_0
path: 'lib/ncbi-blast+/libncbi_xreader_id2.a'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1, bioconda/noarch::perl-sub-exporter-0.988-pl5321hdfd78af_0
path: 'lib/perl5/5.32/site_perl/auto/Sub/Exporter/.packlist'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1, bioconda/noarch::perl-sub-exporter-0.988-pl5321hdfd78af_0
path: 'lib/perl5/site_perl/Sub/Exporter.pm'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1, bioconda/noarch::perl-sub-exporter-0.988-pl5321hdfd78af_0
path: 'lib/perl5/site_perl/Sub/Exporter/Cookbook.pod'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1, bioconda/noarch::perl-sub-exporter-0.988-pl5321hdfd78af_0
path: 'lib/perl5/site_perl/Sub/Exporter/Tutorial.pod'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1, bioconda/noarch::perl-sub-exporter-0.988-pl5321hdfd78af_0
path: 'lib/perl5/site_perl/Sub/Exporter/Util.pm'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1, bioconda/noarch::perl-sub-exporter-0.988-pl5321hdfd78af_0
path: 'man/man3/Sub::Exporter.3'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1, bioconda/noarch::perl-sub-exporter-0.988-pl5321hdfd78af_0
path: 'man/man3/Sub::Exporter::Cookbook.3'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1, bioconda/noarch::perl-sub-exporter-0.988-pl5321hdfd78af_0
path: 'man/man3/Sub::Exporter::Tutorial.3'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/linux-64::perl-package-stash-0.40-pl5321h87f3376_1, bioconda/noarch::perl-sub-exporter-0.988-pl5321hdfd78af_0
path: 'man/man3/Sub::Exporter::Util.3'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/noarch::eggnog-mapper-2.1.12-pyhdfd78af_0, conda-forge/linux-64::emperor-1.0.4-py39hf3d152e_2
path: 'lib/python3.9/site-packages/tests/init.py'

ClobberError: This transaction has incompatible packages due to a shared path.
packages: bioconda/noarch::eggnog-mapper-2.1.12-pyhdfd78af_0, conda-forge/linux-64::emperor-1.0.4-py39hf3d152e_2
path: 'lib/python3.9/site-packages/tests/pycache/init.cpython-39.pyc'

done
Executing transaction: | |

I've tried "conda clean --packages," "conda clean --all," and also " rm -r /home/roxiette/miniconda3/envs/qiime2-amplicon-2024.2", but nothing has worked for me . Please do help me out

Hi @Roxiette,
I sometimes get these errors as well but they tend to not effect my env set up.

did this executing transaction ever finish?


 Executing transaction:

HI @cherman2
The executing transactions are complete but it shows the following:

Executing transaction: \ The default QUAST package does not include:

  • GRIDSS (needed for structural variants detection)
  • SILVA 16S rRNA database (needed for reference genome detection in metagenomic datasets)
  • BUSCO tools and databases (needed for searching BUSCO genes) -- works in Linux only!

To be able to use those, please run
quast-download-gridss
quast-download-silva
quast-download-busco

done
ERROR conda.core.link:_execute(950): An error occurred while installing package 'bioconda::bioconductor-genomeinfodbdata-1.2.11-r43hdfd78af_1'.
Rolling back transaction: done
class: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.11-r43hdfd78af_1
location of failed script: /home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout:
stderr: ++ dirname -- /home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/installBiocDataPackage.sh

  • SCRIPT_DIR=/home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/../share/bioconductor-data-packages

  • json=/home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/../share/bioconductor-data-packages/dataURLs.json
    ++ yq '."genomeinfodbdata-1.2.11".fn' /home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/../share/bioconductor-data-packages/dataURLs.json

  • FN='"GenomeInfoDbData_1.2.11.tar.gz"'
    ++ yq '."genomeinfodbdata-1.2.11".urls' /home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/../share/bioconductor-data-packages/dataURLs.json

  • IFS=

  • read -r value

  • URLS+=($value)

  • IFS=

  • read -r value

  • URLS+=($value)

  • IFS=

  • read -r value

  • URLS+=($value)

  • IFS=

  • read -r value
    ++ yq '."genomeinfodbdata-1.2.11".md5' /home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/../share/bioconductor-data-packages/dataURLs.json

  • MD5='"2a4cbfc2031992fed3c9445f450890a2"'

  • STAGING=/home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/share/genomeinfodbdata-1.2.11

  • mkdir -p /home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/share/genomeinfodbdata-1.2.11

  • TARBALL='/home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/share/genomeinfodbdata-1.2.11/"GenomeInfoDbData_1.2.11.tar.gz"'

  • SUCCESS=0

  • for URL in ${URLS[@]}
    ++ echo '"https://bioconductor.org/packages/3.18/data/annotation/src/contrib/GenomeInfoDbData_1.2.11.tar.gz"'
    ++ tr -d '"'

  • URL=https://bioconductor.org/packages/3.18/data/annotation/src/contrib/GenomeInfoDbData_1.2.11.tar.gz
    ++ echo '"2a4cbfc2031992fed3c9445f450890a2"'
    ++ tr -d '"'

  • MD5=2a4cbfc2031992fed3c9445f450890a2

  • curl -L https://bioconductor.org/packages/3.18/data/annotation/src/contrib/GenomeInfoDbData_1.2.11.tar.gz
    % Total % Received % Xferd Average Speed Time Time Time Current
    Dload Upload Total Spent Left Speed

    0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:01 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:02 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:03 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:04 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:05 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:06 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:07 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:08 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:09 --:--:-- 0curl: (6) Could not resolve host: bioconductor.org

return code: 6

kwargs:
{}

Traceback (most recent call last):
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/exception_handler.py", line 18, in call
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/cli/main.py", line 84, in main_subshell
exit_code = do_call(args, parser)
^^^^^^^^^^^^^^^^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/cli/conda_argparse.py", line 200, in do_call
result = getattr(module, func_name)(args, parser)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/notices/core.py", line 132, in wrapper
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/cli/main_env_create.py", line 170, in execute
result[installer_type] = installer.install(
^^^^^^^^^^^^^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/env/installers/conda.py", line 63, in install
unlink_link_transaction.execute()
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/core/link.py", line 354, in execute
self._execute(
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/core/link.py", line 970, in _execute
raise CondaMultiError(
conda.CondaMultiErrorclass: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.11-r43hdfd78af_1
location of failed script: /home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout:
stderr: ++ dirname -- /home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/installBiocDataPackage.sh

  • SCRIPT_DIR=/home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/../share/bioconductor-data-packages

  • json=/home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/../share/bioconductor-data-packages/dataURLs.json
    ++ yq '."genomeinfodbdata-1.2.11".fn' /home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/../share/bioconductor-data-packages/dataURLs.json

  • FN='"GenomeInfoDbData_1.2.11.tar.gz"'
    ++ yq '."genomeinfodbdata-1.2.11".urls' /home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/../share/bioconductor-data-packages/dataURLs.json

  • IFS=

  • read -r value

  • URLS+=($value)

  • IFS=

  • read -r value

  • URLS+=($value)

  • IFS=

  • read -r value

  • URLS+=($value)

  • IFS=

  • read -r value
    ++ yq '."genomeinfodbdata-1.2.11".md5' /home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/bin/../share/bioconductor-data-packages/dataURLs.json

  • MD5='"2a4cbfc2031992fed3c9445f450890a2"'

  • STAGING=/home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/share/genomeinfodbdata-1.2.11

  • mkdir -p /home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/share/genomeinfodbdata-1.2.11

  • TARBALL='/home/roxiette/miniconda3/envs/qiime2-metagenome-2024.5/share/genomeinfodbdata-1.2.11/"GenomeInfoDbData_1.2.11.tar.gz"'

  • SUCCESS=0

  • for URL in ${URLS[@]}
    ++ echo '"https://bioconductor.org/packages/3.18/data/annotation/src/contrib/GenomeInfoDbData_1.2.11.tar.gz"'
    ++ tr -d '"'

  • URL=https://bioconductor.org/packages/3.18/data/annotation/src/contrib/GenomeInfoDbData_1.2.11.tar.gz
    ++ echo '"2a4cbfc2031992fed3c9445f450890a2"'
    ++ tr -d '"'

  • MD5=2a4cbfc2031992fed3c9445f450890a2

  • curl -L https://bioconductor.org/packages/3.18/data/annotation/src/contrib/GenomeInfoDbData_1.2.11.tar.gz
    % Total % Received % Xferd Average Speed Time Time Time Current
    Dload Upload Total Spent Left Speed

    0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:01 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:02 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:03 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:04 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:05 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:06 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:07 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:08 --:--:-- 0
    0 0 0 0 0 0 0 0 --:--:-- 0:00:09 --:--:-- 0curl: (6) Could not resolve host: bioconductor.org

return code: 6

kwargs:
{}

: <exception str() failed>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/roxiette/miniconda3/bin/conda", line 13, in
sys.exit(main())
^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/cli/main.py", line 128, in main
return conda_exception_handler(main, *args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/exception_handler.py", line 388, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/exception_handler.py", line 21, in call
return self.handle_exception(exc_val, exc_tb)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/exception_handler.py", line 62, in handle_exception
return self.handle_application_exception(exc_val, exc_tb)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/exception_handler.py", line 78, in handle_application_exception
self._print_conda_exception(exc_val, exc_tb)
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/exception_handler.py", line 84, in _print_conda_exception
print_conda_exception(exc_val, exc_tb)
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/exceptions.py", line 1262, in print_conda_exception
stderrlog.error("\n%r\n", exc_val)
File "/home/roxiette/miniconda3/lib/python3.12/logging/init.py", line 1568, in error
self._log(ERROR, msg, args, **kwargs)
File "/home/roxiette/miniconda3/lib/python3.12/logging/init.py", line 1684, in _log
self.handle(record)
File "/home/roxiette/miniconda3/lib/python3.12/logging/init.py", line 1695, in handle
maybe_record = self.filter(record)
^^^^^^^^^^^^^^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/logging/init.py", line 858, in filter
result = f.filter(record)
^^^^^^^^^^^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/gateways/logging.py", line 67, in filter
record.msg = record.msg % new_args
~~~^~
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/init.py", line 125, in repr
errs.append(e.repr())
^^^^^^^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/init.py", line 79, in repr
return f"{self.class.name}: {self}"
^^^^^^
File "/home/roxiette/miniconda3/lib/python3.12/site-packages/conda/init.py", line 83, in str
return str(self.message % self._kwargs)
~^~
ValueError: unsupported format character 'T' (0x54) at index 2095

Hi @Roxiette,

It looks like you're installing the linux environment file, and you're on Windows OS. Can you confirm whether you've installed WSL, and that you're attempting to install this environment file within WSL vs directly on your OS?

1 Like

Hi Lizgehret,
Yes, I've installed WSL, and I'm working on it . I've attached a reference below.

and this was the environment ,(Last time for amplicon distribution also I followed the same steps )


PLease help me with the same.

Hi @Roxiette,
Could you look at this forum post and see if these instructions are helpful? conda install error with qiime2-2023.2 - #6 by elaine.xu